local P = Apollo.GetAddon("PieMenu")

local ktPathName = {
  [PlayerPathLib.PlayerPathType_Soldier]    = Apollo.GetString("PlayerPathSoldier"),
  [PlayerPathLib.PlayerPathType_Settler]    = Apollo.GetString("PlayerPathSettler"),
  [PlayerPathLib.PlayerPathType_Scientist]  = Apollo.GetString("PlayerPathScientist"),
  [PlayerPathLib.PlayerPathType_Explorer]   = Apollo.GetString("PlayerPathExplorer"),
}

local ktPathSprite = {
  [PlayerPathLib.PlayerPathType_Soldier]    = "ClientSprites:Icon_Windows_UI_CRB_Soldier",
  [PlayerPathLib.PlayerPathType_Settler]    = "ClientSprites:Icon_Windows_UI_CRB_Colonist",
  [PlayerPathLib.PlayerPathType_Scientist]  = "ClientSprites:Icon_Windows_UI_CRB_Scientist",
  [PlayerPathLib.PlayerPathType_Explorer]   = "ClientSprites:Icon_Windows_UI_CRB_Explorer",
}

local ktMenu = P.PieMenu:new({
  strId = "Codex",
  strName = "Codex Menu",
  oKeybind = P.PieKey:new("ctrl-alt-e"),
  fnPopulateItems = function()
    return {
      { strName = "Quests",       strIcon = "ClientSprites:Icon_Windows_UI_CRB_Questlog_Call",          strEvent = "ToggleQuestLog" },
      
      { strName = "Path - " .. ktPathName[GameLib.GetPlayerUnit():GetPlayerPathType()], 
        strIcon = ktPathSprite[GameLib.GetPlayerUnit():GetPlayerPathType()], 
        strEvent = "PlayerPathShow" },
      
      { strName = "Challenges",   strIcon = "CRB_ChallengeTrackerSprites:sprChallengeTypeGenericLarge", strEvent = "ToggleChallengesWindow" },
      { strName = "Achievements", strIcon = "achievements:sprAchievements_Icon_Solo",                   strEvent = "ToggleAchievementWindow" },
      { strName = "Tradeskills",  strIcon = "ClientSprites:Icon_Windows_UI_CRB_Tradeskill",             strEvent = "ToggleTradeskills" },
      { strName = "Lore",         strIcon = "ClientSprites:Icon_Mission_Scientist_SpecimenSurvey",      strEvent = "InterfaceMenu_ToggleLoreWindow" },
    }
  end,
})
P:RegisterMenu(ktMenu)