local P = Apollo.GetAddon("PieMenu")

local ktDevTools = {
  { strAddonName = "AddonsMonitor", strName = "AddonsMonitor",  strIcon = "ClientSprites:Icon_Mission_Explorer_ScavengerHunt", func = function() Apollo.ParseInput("/addons_monitor") end },
  { strAddonName = "GeminiConsole", strName = "GeminiConsole",  strIcon = "ClientSprites:Icon_Mission_Scientist_DatachronDiscovery", func = function() Apollo.ParseInput("/lua") end },
  { strAddonName = "GeminiEditor", strName = "GeminiEditor",   strIcon = "ClientSprites:Icon_Windows_UI_CRB_LevelUp_NewGearSlot", func = function() Apollo.ParseInput("/gedit") end },
  { strAddonName = "GeminiProfiler", strName = "GeminiProfiler", strIcon = "ClientSprites:Icon_Mission_Soldier_Demolition", func = function() Apollo.ParseInput("/profiler") end },
  { strAddonName = "Rover", strName = "Rover",          strIcon = "ClientSprites:Icon_Mission_Scientist_FieldStudy", func = function() Apollo.ParseInput("/rover") end },
}


-- Developer Menu
local ktMenu = P.PieMenu:new({
  strId = "AddonDev",
  strName  = "Addon Developer Menu",
  oKeybind = P.PieKey:new("ctrl-alt-v"),
  fnPopulateItems = function()
    local tItems = {
      { strName = "Reload UI",        strIcon = "ClientSprites:Icon_Windows_UI_CRB_Tooltip_Salvage",    func      = RequestReloadUI },
      { strName = "Options",          strIcon = "ClientSprites:Icon_Mission_Settler_DepotImprovements", func      = InvokeOptionsScreen },
      { strName = "Report Bug",       strIcon = "ClientSprites:Icon_Mission_Scientist_ScanCreature",    func      = ReportError },
    }
    
    for _, tItem in ipairs(ktDevTools) do
      local tAddonInfo = Apollo.GetAddonInfo(tItem.strAddonName)
      if tAddonInfo and tAddonInfo.bRunning == 1 then
        table.insert(tItems, tItem)
      end
    end
    
    return tItems
  end,
})

P:RegisterMenu(ktMenu)