local P = Apollo.GetAddon("PieMenu")

local ktMenu = P.PieMenu:new({
  strId = "Macro",
  strName = "Macro Menu",
  oKeybind = P.PieKey:new("ctrl-alt-g"),
  fnPopulateItems = function()
    local tRet = {}
    
    table.insert(tRet, { strName = "Macros", 
                         strIcon = "ClientSprites:Icon_Windows_UI_CRB_LevelUp_NewActionBarSlot", 
                         strEvent = "InterfaceMenu_ToggleMacro",
                          })
    
    for idx, tMacro in ipairs(MacrosLib.GetMacrosList()) do
      table.insert(tRet, { strName = tMacro.strName,
                           strIcon = tMacro.strSprite,
                           func    = function() MacrosLib.DoMacro(tMacro.nId) end })
    end
    
    return tRet
  end,
})

P:RegisterMenu(ktMenu)