local P = Apollo.GetAddon("PieMenu")

-- Utility Menu
local ktMenu = P.PieMenu:new({
  strId = "Utility",
  strName  = "Utility Menu",
  oKeybind = P.PieKey:new("ctrl-alt-x"),
  fnPopulateItems = function()
    local tItems = {
      { strName = "Reload UI",        strIcon = "ClientSprites:Icon_Windows_UI_CRB_Tooltip_Salvage",    func      = RequestReloadUI },
      { strName = "Options",          strIcon = "ClientSprites:Icon_Mission_Settler_DepotImprovements", func      = InvokeOptionsScreen },
      { strName = "KeyBinds",         strIcon = "ClientSprites:Icon_Mission_Scientist_SpecimenSurvey",  strInput  = Apollo.GetString("EscapeMenu_KeybindCommand") },
      { strName = "Tutorials",        strIcon = "ClientSprites:Icon_Windows_UI_CRB_Tooltip_Logic",      strInput  = Apollo.GetString("EscapeMenu_TutorialsCommand") },
      { strName = "Reset Instances",  strIcon = "ClientSprites:Icon_Windows_UI_CRB_Dead_02",            func      = function() Print("Resetting instances"); Apollo.ParseInput('/resetinstances') end },
      { strName = "Report Bug",       strIcon = "ClientSprites:Icon_Mission_Scientist_ScanCreature",    func      = ReportError },
      { strName = "Stuck",            strIcon = "ClientSprites:Icon_Windows_UI_CRB_FieldStudy_Injured", strEvent  = "ToggleStuckWindow" },
      { strName = "Camp",             strIcon = "ClientSprites:Icon_Windows_UI_CRB_Disconnect",         func      = function() Event_FireGenericEvent("GenericEvent_PlayerCampStart");	Camp() end },
    }
    
    return tItems
  end,
})

P:RegisterMenu(ktMenu)